gmchess (0.29.6.3-3) unstable; urgency=medium

  * d/p/0004-fix-desktop-mime.patch: add BoardGame Categories, it used by KDE
  * d/clean: add po/.intltool-merge-cache.lock

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 29 Oct 2022 16:21:57 +0800

gmchess (0.29.6.3-2) unstable; urgency=low

  [ xiao sheng wen ]
  * update to new upstream 0.29.6.3, expect debian dir
  * delete many patch files, the new upstream applied
  * update d/p/0004-fix-desktop-mime.patch
  * update d/p/0005-fix-buster-configure.patch
  * d/p/*.patch: add Forwarded: not-need
  * update d/p/series
  * add d/gbp.conf
  * d/copyright: update year info to 2022
  * d/changelog: add changelog between in 0.29.6-3 ==> 0.29.6.3-1
  * d/control:
      - Bump Standards-Version: 4.6.0
      - Bump debhelper-compat (= 13)
  * d/watch: update to version=4
  * d/rules:
      - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
      - delete override_dh_missing target, useless

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 14 Feb 2022 11:15:19 +0800

gmchess (0.29.6-4) unstable; urgency=medium

  [ 肖盛文 ]
  * d/copyright:+Upstream-Contact: <lerosua@gmail.com>
  * d/control:+Rules-Requires-Root: no
  * add patch Description
  * add watch file,documenting the situation of the upstream is not active
  * fix Keywords lost
  * fix type error for throw.cpp
  * fix lintian: vcs-field-not-canonical
  * add d/libeval0.symbols
  * fix type error for src/ec_throw.cpp
  * fix type error for doc/convert_pgn.6.in
  * update patch Description etc.
  * update watch to version=3
  * update Debian Chinese Team maillist info to
    debian-chinese-gb@lists.debian.org
  * add 0004-fix-FenMirror-func-wrong-pointer-comparison.patch
  * add 0005-Fix-insecure-printf-usage-in-Board.cc.patch
  * add 0006-Fix-typos-found-by-codespell.patch
  * cherry-pick zh_CN.po.patch file
  * move the zh_CN.po type error patch
  * 0007-m-b-fix-typo.patch
  * 0008-m-b-man.patch
  * 0009-m-b-Engine.cc.patch
  * 0010-m-b-po.patch
  * 0011-m-b-Sound.cc.patch
  * 0012-m-b-ucci.cpp.patch
  * 0013-m-b-position.cpp.patch
  * 0014-m-b-Engine.cc.patch
  * 0015-m-b-Board.cc.patch
  * 0016-m-b-Board.cc-2.patch
  * 0017-m-b-Engine.patch
  * 0018-m-b-misc.patch
  * use patch files to modify the upstream source code.
    These patch files included the useable change of upstream until to the
    tag: debian/0.29.6.3-1

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 23 Apr 2020 23:47:09 +0800

gmchess (0.29.6-3) unstable; urgency=medium

  [ Faris Xiao ]
  * Bumped Standards-Version to 4.5.0
  * Bumped debhelper to >=12
  * replaced debian/compat with the debhelper-compat virtual package
  * set xiao sheng wen as Maintainer,delete from Uploaders
  * delete unused patch:0001-fix-the-warning-from-cppcheck.patch
  * add patch 0004-fix-desktop-mime.patch for desktop.in
  * add patch 0005-fix-buster-configure.patch for Debian 10 configure
  [ 肖盛文 ]
  * add %f for Exec=gmchess in gmchess.desktop.in
  * modify changelog.
  * copy the whole debian dir from
    git@salsa.debian.org:chinese-team/gmchess.git,
    use master branch commit 195f039.
    thanks for byang@debian.org
  [ byang ]
  * Mark libeval0 and libeval0-dev as M-A: same.
  * d/control: Remove outdated Replaces field for convert-pgn.
  * d/control: Update homepage field and package descriptions.
  * d/rules: Remove generation of xpm icons, prefer png icons.
  * d/rules: Add "dh_missing --fail-missing".
  * d/copyright: Update information.
  * Drop dependency against libglademm, no longer used.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat version to v11.
  * d/menu: File already dropped, thus closes: #776771.
  * d/control: Remove homepage field, upstream already dead.
  * d/control: Add Vcs fields.
  * d/copyright: Rewrite in machine-readable format.
  * d/watch: Removed, upstream dead.
  * d/rules: Modernize usage of dh sequencer.
  * Ack previous NMU. Thanks Adrian!
  * Drop debian/menu file (should not coexist with desktop file).
  * Bump debhelper compat to v10.
    + Drop dep autotools-dev, not needed.

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 19 Apr 2020 18:45:46 +0800

gmchess (0.29.6.3-1) unstable; urgency=medium

  * New release (2018-02-08).
    + Fix some crashes.
    + Various clean-ups.
  * Mark libeval0 and libeval0-dev as M-A: same.
  * d/control: Remove outdated Replaces field for convert-pgn.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 07 Feb 2018 23:45:28 +0800

gmchess (0.29.6.2-1) unstable; urgency=medium

  * New release (2018-01-29).
    + I18n and translation for preferences subpage.
    + Various clean-ups.
  * d/control: Update homepage field and package descriptions.
  * d/rules: Remove generation of xpm icons, prefer png icons.
  * d/rules: Add "dh_missing --fail-missing".
  * d/copyright: Update information.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 29 Jan 2018 20:17:39 +0800

gmchess (0.29.6.1-1) unstable; urgency=medium

  * New release (2018-01-25).
    + Developing under Debian Salsa platform as upstream already dead.
    + Complete zh_CN translation.
    + Various clean-up and bugfixes.
  * Drop dependency against libglademm, no longer used.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat version to v11.
  * d/menu: File already dropped, thus closes: #776771.
  * d/control: Remove homepage field, upstream already dead.
  * d/control: Add Vcs fields.
  * d/patches: Remove all patches, we are acting as the de fecto upstream.
  * d/copyright: Rewrite in machine-readable format.
  * d/watch: Removed, upstream dead.
  * d/rules: Modernize usage of dh sequencer.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 25 Jan 2018 23:36:13 +0800

gmchess (0.29.6-3) unstable; urgency=medium

  * Team Upload.
  * Add myself into uploaders list.
  * Ack previous NMU. Thanks Adrian!
  * Drop debian/menu file (should not coexist with desktop file).
  * Bump debhelper compat to v10.
    + Drop dep autotools-dev, not needed.
  * Update Standards-Version to 4.1.0.
  * Add patch to fix FTBFS with gcc-7. Closes: #853423

 -- Boyuan Yang <073plan@gmail.com>  Wed, 23 Aug 2017 14:06:43 +0800

gmchess (0.29.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * autoreconf to fix FTBFS on arm64. (Closes: #727872)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Mar 2017 17:39:45 +0200

gmchess (0.29.6-2) unstable; urgency=low

  * Fix build on kfreebsd-*

 -- Aron Xu <aron@debian.org>  Sun, 01 Jan 2012 23:49:28 +0800

gmchess (0.29.6-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 25 Dec 2011 21:10:37 +0800

gmchess (0.29.4-1) unstable; urgency=low

  * New upstream release.
  * Move to Debian Chinese Team.

 -- Aron Xu <aron@debian.org>  Fri, 21 Oct 2011 23:32:08 +0800

gmchess (0.29.3-5) unstable; urgency=low

  * Fix FTBFS by modifying debian/rules (Closes: #638351).

 -- Aron Xu <aron@debian.org>  Fri, 19 Aug 2011 10:52:04 +0800

gmchess (0.29.3-4) unstable; urgency=low

  * Use my @debian.org address.
  * Use dh compat 8.
  * Enable -O3 by default, now build on ia64.
    while LTO only success when gold is present, not enabling.
  * Use new dh rules.tiny style.
  * Add a patch to workaround FTBFS

 -- Aron Xu <aron@debian.org>  Fri, 19 Aug 2011 01:21:44 +0800

gmchess (0.29.3-3) unstable; urgency=low

  * debian/control:
    - Remove useless ${shlibs:Depends}.
    + Bump std-ver: 3.9.2.
  * debian/libeval0-dev.install:
    - Wipe out dependency_libs from .la files, per Policy 10.2
      (Closes: #621278).
  * debian/clean:
    - Remove useless gmchess.desktop during clean.

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 09 Apr 2011 14:42:01 +0800

gmchess (0.29.3-2) unstable; urgency=low

  * debian/control:
    + Correct Conflicts and Provides for libeval0-dev.
  * debian/clean:
    + Add ./output to remove it.
  * debian/patches:
    - Remove debian-changes caused by the build-time ./output file.

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 18 Feb 2011 22:00:00 +0800

gmchess (0.29.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patch/0001-fix-the-warning-from-cppcheck.patch:
    - Upstream patch to fix warnings from cppcheck.

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 03 Dec 2010 19:24:21 +0800

gmchess (0.29.2-1) unstable; urgency=low

  * New upstream release:
      Search libeval0.so.0 instead of libeval0.so.

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 04 Oct 2010 19:04:43 +0800

gmchess (0.29.1-1) unstable; urgency=low

  * New upstream release:
      Add network game support.
  * debian/control:
      Bump std-ver to 3.9.1;
      Remove duplicate section info from binaries: gmchess, eleeye.

 -- Aron Xu <happyaron.xu@gmail.com>  Sun, 19 Sep 2010 18:34:12 +0800

gmchess (0.20.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
       Change section of eleeye from comm to games,
       Raise Standards-Version from 3.8.3 to 3.8.4.
  * debian/source/format: using `3.0 (quilt)' format.

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 06 Apr 2010 18:43:48 +0800

gmchess (0.20.4-2) unstable; urgency=low

  * Correct location of eleeye_engine and convert_png.

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 14 Dec 2009 15:14:56 +0800

gmchess (0.20.4-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 08 Dec 2009 13:38:13 +0800

gmchess (0.20.3-2) unstable; urgency=low

  * Add src/engine/mips.h to debian/copyrigh
  * Add "Replaces" section for convert-pgn, eleeye, libeval0
     (closes: bug#550696).

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 12 Oct 2009 19:07:30 +0800

gmchess (0.20.3-1) unstable; urgency=low

  * New upstream release.
  * Split gmchess into separate packages.
  * Solve cross platform issue (closes: bug#544757).

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 9 Oct 2009 22:05:33 +0800

gmchess (0.20.2-3) unstable; urgency=low

  * Added menu items. (closes: bug#544510)

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 1 Sep 2009 21:50:25 +0800

gmchess (0.20.2-2) unstable; urgency=low

  * Fixed locale path.

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 22 Aug 2009 22:27:25 +0800

gmchess (0.20.2-1) unstable; urgency=low

  * Initial release (closes: bug#527040)

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 22 Aug 2009 21:40:25 +0800
